"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.highlightComponents = void 0;
const modules_dom_to_react_1 = require("@teambit/modules.dom-to-react");
const component_id_1 = require("@teambit/component-id");
function highlightComponents(options = {}) {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const opts = getOptions(options);
    document.addEventListener('mouseover', (e) => {
        const element = document.elementFromPoint(e.clientX, e.clientY);
        if (!element)
            return;
        const component = modules_dom_to_react_1.domToReact(element);
        if (!component || !component.componentId)
            return;
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        const id = component_id_1.ComponentID.fromString(component.componentId);
        // TODO: @kutner please continue from here.
        // element.style.border = `thick solid ${opts.borderColor}`;
        // console.log(id, element);
    });
}
exports.highlightComponents = highlightComponents;
const defaultOptions = {
    borderColor: 'navy',
    textColor: 'black',
};
function getOptions(targetOpts) {
    return Object.assign({}, defaultOptions, targetOpts);
}
//# sourceMappingURL=component-highlighter.js.map